Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-54404

5.6.1 and 5.6.0 QtQuick is not binary compatible

    XMLWordPrintable

    Details

      Description

      1. build Qt/5.6/Src/qtdeclarative/examples/qml/tutorials/extending-qml/chapter1-basics/chapter1-basics.pro with Qt 5.6.1
      2. run it with Qt 5.6.0

      Current result:

       /home/kapinter/Qt/5.6/Boot2Qt/nitrogen6x/toolchain/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi/usr/share/examples/qml/tutorials/extending-qml/chapter1-basics/chapter1-basics: relocation error: /home/kapinter/Qt/5.6/Boot2Qt/nitrogen6x/toolchain/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi/usr/share/examples/qml/tutorials/extending-qml/chapter1-basics/chapter1-basics: symbol _ZN17QQuickPaintedItem10itemChangeEN10QQuickItem10ItemChangeERKNS0_14ItemChangeDataE, version Qt_5 not defined in file libQt5Quick.so.5 with link time reference
      Process exited with exit code 127
      


      Expected result: works correctly

      The cause of the problem maybe this: https://codereview.qt-project.org/#/c/147250/ change.

        Attachments

        For Gerrit Dashboard: QTBUG-54404
        # Subject Branch Project Status CR V

          Activity

            People

            Assignee:
            w00t Robin Burchell
            Reporter:
            karimpinter Karim Pinter
            Votes:
            0 Vote for this issue
            Watchers:
            6 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes